
QGIS Application - Bug report #7819

QGIS hung on pan

2013-05-13 05:03 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 16704

Description

I'm afraid I can't replicate this one.

I have a ~20 million feature dataset which I was viewing at 1:5000. This gives up to about 40,000 features on screen. I was panning

around testing QGIS speed. For my final pan, I panned just a millimetre or so and released the mouse.

QGIS then hung and started perpetually loading. You can see the process explorer report attached - RAM use was increasing, there was

consistent IO, and CPU usage was 2/3rd's of one core (two core machine - 50% is one full core).

This was the only visible layer.

No idea what caused it and can't replicate it but figured I should report it.

Oracle 10g using native connection.

QGIS 1959182 on Windows 7 64bit.

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-05-02 03:12 PM - Jürgen Fischer

- Description updated

- Status changed from Open to Feedback

- Assignee deleted (Jürgen Fischer)

#3 - 2017-05-26 05:14 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

If you find a way to replicate consistently (and allow us to do so) please reopen.
